Skip to main content
GET
/
v1
/
data
/
traders
/
leaderboard
List top traders
curl --request GET \
  --url https://api-nova.tech/v1/data/traders/leaderboard
import requests

url = "https://api-nova.tech/v1/data/traders/leaderboard"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api-nova.tech/v1/data/traders/leaderboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "wallets": [
    {
      "address": "9xQeWvG816bUx9EPfQ5D9b8fRGyJitf8F6f4fH6QJjAo",
      "label": "<string>",
      "profileImageUrl": "<string>",
      "portfolioValueUsd": 123,
      "tokenCount": 123,
      "tradeCount30d": 123
    }
  ]
}
{
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Try again later.",
"requestId": "<string>"
}
}

Query Parameters

window
enum<string>
default:24h

Time window for ranking or aggregation.

Available options:
1h,
6h,
24h,
7d,
30d
metric
enum<string>
default:signal
Available options:
pnl,
volume,
win_rate,
signal
limit
integer
default:25

Maximum number of records to return.

Required range: 1 <= x <= 100

Response

Trader leaderboard.

wallets
object[]
required